| Home · All Classes · All Namespaces · Modules · Functions · Files

# WeakData Class Reference

`#include <TelepathyQt4/shared-ptr.h>`

List of all members.

## Public Member Functions

- WeakData (RefCounted *d)

## Public Attributes

- RefCounted * d
- QAtomicInt weakref

## Constructor & Destructor Documentation

WeakData | ( | RefCounted * | d | ) | `[inline]`

## Member Data Documentation

RefCounted* d

QAtomicInt weakref `[mutable]`